package com.kamco.cd.training.postgres.repository.model;

import com.kamco.cd.training.postgres.entity.ModelDatasetMappEntity;
import com.kamco.cd.training.train.dto.ModelTrainLinkDto;
import java.util.List;

public interface ModelDatasetMappRepositoryCustom {
  List<ModelDatasetMappEntity> findByModelUid(Long modelId);

  List<ModelTrainLinkDto> findDatasetTrainPath(Long modelId);

  List<ModelTrainLinkDto> findDatasetValPath(Long modelId);

  List<ModelTrainLinkDto> findDatasetTestPath(Long modelId);
}
